%define oname ntlm-http

Name:       ruby-%{oname}
Version:    0.1.1
Release:    %mkrel 7
Summary:    Ruby/NTLM HTTP library
License:    MIT
Group:      Development/Ruby
URL:        http://www.mindflowsolutions.net/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ntlm-http-0.1.1-missing-headers.patch
BuildRequires: rubygems
Buildarch: noarch

%description
Ruby/NTLM HTTP provides NTLM authentication over http.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples
#-------------------------------------------------------------------------------

%prep
%gem_setup
gunzip metadata
%patch0 -p0 -b.orig
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.1.1-7.mga4
+ Revision: 562068
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.1.1-6.mga4
+ Revision: 561493
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-5.mga4
+ Revision: 535961
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0.1.1-4.mga4
+ Revision: 482864
- update file list
- fix build
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.1.1-3.mga3
+ Revision: 396230
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 381147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.1.1-1.mga3
+ Revision: 313338
- fix patch
- fix patch
- imported package ruby-ntlm-http

